Skip to main content
GET
/
business
Fetch a List of Businesses
curl --request GET \
  --url https://api.treasuryprime.com/business \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "account_ids": [
        "acct_1029384756"
      ],
      "address": {
        "city": "New York",
        "postal_code": "10005",
        "state": "NY",
        "street_line_1": "11 Wall St",
        "street_line_2": "Suite 42"
      },
      "emails": [
        "george@acme.com"
      ],
      "id": "owner_0123456789",
      "name": "Acme Goods Inc",
      "phone_number": "4154845555",
      "tin_last4": "4912"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size business elements, starting after the business described by page_cursor. If no more businesss are available, the resulting list will be empty.

data
object[]